This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 253579 - Review Request: php-pecl-memcache - Extension to work with the Memcached caching daemon
Review Request: php-pecl-memcache - Extension to work with the Memcached cach...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 13:19 EDT by Remi Collet
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 09:43:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
matthias: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-08-20 13:19:43 EDT
Spec URL: http://remi.fedorapeople.org/php-pecl-memcache.spec
SRPM URL: http://remi.fedorapeople.org/php-pecl-memcache-2.1.2-1.fc8.src.rpm
Mock log: http://remi.fedorapeople.org/php-pecl-memcache-build.log
Description: 
Memcached is a caching daemon designed especially for
dynamic web applications to decrease database load by
storing objects in memory.

This extension allows you to work with memcached through
handy OO and procedural interfaces.

--
Note : this package register the PECL extension (as PEAR ones).
This is not yet in the PHP Guidelines (but nothing against).
Comment 1 Remi Collet 2007-08-21 08:14:51 EDT
I Add Matthias in CC: as is the maintener for this package at rpmforge.

@Matthias : my spec is closed to your. We can work as co-maintener for this if
you want.

I will push it to Fedora and EPEL after review.

Remi.
Comment 2 Matthias Saou 2007-08-22 05:07:13 EDT
Veeeery nice, clean and portable spec file. This will be a real pleasure to
review. Thanks for CC'ing me, feel free to do it again ;-)
Comment 3 Matthias Saou 2007-08-22 09:21:06 EDT
I just went through the ReviewGuidelines, double checked the license and tested
a Fedora 7 x86_64 build. It all looks fine. Just two minor nitpicks :
- Some sections of your spec file are separated by 2 spaces, others only by one.
It would be more readable if all were separated by 2 IMHO :-) (before %prep,
%build and %changelog).
- It's harmless here, but you should always escape macros in comments and the
%changelog, so change "use %name rather than %pecl_name" to "use %%name rather
than %%pecl_name" or even simply "use name rather than pecl_name". Again, no big
deal, but if some day you put some multi-line macro, it'll do nasty stuff ;-)

APPROVED even as-is in any case, great work on PHP packaging, keep it up!
Comment 4 Remi Collet 2007-08-30 11:25:53 EDT
New Package CVS Request
=======================
Package Name: php-pecl-memcache
Short Description: Extension to work with the Memcached caching daemon
Owners: remi
Branches: F-7, FC-6, EL-5, EL-4
InitialCC: 
Cvsextras Commits: yes
Comment 5 Jens Petersen 2007-08-30 21:39:06 EDT
request done
Comment 6 Remi Collet 2007-08-31 09:43:16 EDT
Push to CVS with typo changes.

Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.